Bug 124725 - Alternate GRUB entries removed by installer
Alternate GRUB entries removed by installer
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 16:47 EDT by Phil Schaffner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-20 06:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.conf before and after upgrade (.FC1 and .FC2) (690 bytes, application/octet-stream)
2004-06-03 10:22 EDT, Phil Schaffner
no flags Details

  None (edit)
Description Phil Schaffner 2004-05-28 16:47:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
During upgrades from FC1 or RH to FC2 anaconda removes the GRUB
entries for the alternate installation partitions.  Leaves W2K or XP
entries in the new /boot/grub/grub.conf 


Version-Release number of selected component (if applicable):
anaconda-10.0-5

How reproducible:
Always

Steps to Reproduce:
1.  Upgrade to FC2 with multiple instances of FC1 or RH.
2.
3.
    

Actual Results:  The grub entries for alternate installations of FC or
RH are removed.

Expected Results:  Only the entries for the root/boot partition[s]
being upgraded should be touched.  Alternate entries should be preserved.


Additional info:
Comment 1 Jeremy Katz 2004-06-01 15:52:25 EDT
Did you select upgrade boot loader or install new boot loader?  What
did your grub.conf look like before and after?
Comment 2 Phil Schaffner 2004-06-03 10:17:57 EDT
Selected to upgrade the boot loader.  Will create an attachment with
(reconstructed as closely as possible) FC1 grub.conf and post-upgrade
FC2 grub.conf.
Comment 3 Phil Schaffner 2004-06-03 10:22:17 EDT
Created attachment 100831 [details]
grub.conf before and after upgrade (.FC1 and .FC2)

Had to reconstruct the before (grub.conf.FC1) file from the one on the
alternate boot partition as the original was clobbered by the upgrade.
Comment 4 Jeremy Katz 2004-06-04 16:31:05 EDT
Were the other kernels in this config installed via RPM?  ie, do the
vmlinuz files still exist?
Comment 5 Phil Schaffner 2004-06-07 09:21:29 EDT
The kernel files in /boot on the alternate FC1 installation are still
present, both RPM installs and custom-build.  On the upgraded /boot,
the RPM-installed kernel files were removed, the custom-built ones are
still present, but all other FC1 GRUB boot stanzas for both partitions
were removed.  Only the FC2-installed biit entries and the one for W2K
remained.
Comment 6 Phil Schaffner 2004-06-07 12:37:58 EDT
Fat-fingered that one - should (obviously?) have been "boot" not "biit'.
Comment 7 Michal Jaegermann 2004-12-16 13:08:52 EST
In a situation with multiple alternate installations I found
that the most practical way to organize booting is not to drop
everything into one "monster menu" but to have "the main" grub
menu which really is only a dispatcher and does
'chainload ...' for any of a "second tier" particular OS specific
loader installed on boot partitions for every (sub)installation.
For Linux this will be a separate for each installation copy of
grub; not even necessarily the same grub version.

Now any changes by update tools (anaconda, yum, whatever ... )
affect only what is relevant and these tools are not even aware of
other stuff.  As a side effect you may now have not only a default
boot entry in the top menu but also a default entry for every of
subinstallations. Much easier to maintain the whole structure as you
never have to worry what belongs to what.
Comment 8 Phil Schaffner 2006-08-20 06:47:12 EDT
OK - Lets get this one off the books.

Note You need to log in before you can comment on or make changes to this bug.